package domain

type AlibabaWdkCouponSkuQueryApiResult struct {
	/*
	   错误码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   返回     */
	Model *AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse `json:"model,omitempty" `

	/*
	   成功标志     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkCouponSkuQueryApiResult) SetErrCode(v string) *AlibabaWdkCouponSkuQueryApiResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryApiResult) SetErrMsg(v string) *AlibabaWdkCouponSkuQueryApiResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryApiResult) SetModel(v AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse) *AlibabaWdkCouponSkuQueryApiResult {
	s.Model = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryApiResult) SetSuccess(v bool) *AlibabaWdkCouponSkuQueryApiResult {
	s.Success = &v
	return s
}
